using System;

namespace _12345
{
    class Program
    {
        static void Main(string[] args)
        {
            int n,i,j;
            n = int.Parse(Console.ReadLine());
            float s=0,z;
            float[] k = new float[n];
            float[] a = new float[n];
            float[] p = new float[n];
            for(i=0;i<n;i++)
            {
                a[i] = float.Parse(Console.ReadLine());
                p[i] = float.Parse(Console.ReadLine());
                k[i] = 0;
                for(j=0;j<n;j++)
                {
                    if(p[i]<=p[j])
                    {
                        k[i] = a[j] * p[i];
                    }
                }
                
        }
    }
}